Get Product Endpoint
curl --request GET \
--url https://api.example.com/api/v1/merchants/{merchant_id}/products/{main_product_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/api/v1/merchants/{merchant_id}/products/{main_product_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/api/v1/merchants/{merchant_id}/products/{main_product_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"main_product_id": "<string>",
"title": "<string>",
"description": "<string>",
"color_name": "<string>",
"size": "<string>",
"main_image_url": "<string>",
"hover_image_url": "<string>",
"image_urls": [
"<string>"
],
"metadata": [
{
"min_percentage": 123,
"max_percentage": 123,
"type": "on_sale"
}
],
"collections": [
{
"id": "<string>",
"name": "<string>",
"filter": "<string>",
"exist": true,
"children": "<array>"
}
],
"variants": [
{
"id": "<string>",
"main_product_id": "<string>",
"name": "<string>",
"color_name": "<string>",
"image_url": "<string>"
}
],
"inventories": [
{
"id": "<string>",
"sizes": [
{
"size": "<string>",
"quantity": 123
}
]
}
],
"price_lists": [
{
"id": "<string>",
"original_price": 123,
"sale_price": 123,
"currency": "<string>"
}
],
"hidden_in_markets": []
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Products
Get Product Endpoint
GET
/
api
/
v1
/
merchants
/
{merchant_id}
/
products
/
{main_product_id}
Get Product Endpoint
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Query Parameters
Response
Successful Response
Required string length:
1 - 2083Required string length:
1 - 2083Required string length:
1 - 2083metadata
(OnSaleMetadata · object | LowStockMetadata · object | OutOfStockMetadata · object | NewInMetadata · object | InactiveMetadata · object | LimitedAvailabilityMetadata · object | BestsellerMetadata · object | TrendingMetadata · object | SlowMoverMetadata · object | StarProductMetadata · object)[]
required
- OnSaleMetadata
- LowStockMetadata
- OutOfStockMetadata
- NewInMetadata
- InactiveMetadata
- LimitedAvailabilityMetadata
- BestsellerMetadata
- TrendingMetadata
- SlowMoverMetadata
- StarProductMetadata
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Was this page helpful?

